<?php
	
	/*---------------------------First highlight color-------------------*/

	$vw_magazine_first_color = get_theme_mod('vw_magazine_first_color');

	$custom_css = '';

	if($vw_magazine_first_color != false){
		$custom_css .='.top-banner .testbutton a, input[type="submit"], .posts_cat_btn, .sidebar h3, .sidebar input[type="submit"], .scrollup i, .sidebar .custom-social-icons i, .footer .custom-social-icons i, .date-monthwrap, .hvr-sweep-to-right:before, .pagination span, .pagination a, .woocommerce span.onsale, .woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button, .woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt, nav.woocommerce-MyAccount-navigation ul li, .scrollSlider div.scrollbar div.track, .heading-title, .sidebar .tagcloud a:hover, .footer .tagcloud a:hover, #comments a.comment-reply-link, .toggle-nav i, .footer .widget_price_filter .ui-slider .ui-slider-range, .footer .widget_price_filter .ui-slider .ui-slider-handle, .footer .woocommerce-product-search button, .sidebar .woocommerce-product-search button, .sidebar .widget_price_filter .ui-slider .ui-slider-range, .sidebar .widget_price_filter .ui-slider .ui-slider-handle{';
			$custom_css .='background-color: '.esc_html($vw_magazine_first_color).';';
		$custom_css .='}';
	}
	if($vw_magazine_first_color != false){
		$custom_css .='#comments input[type="submit"].submit, .sidebar ul li::before, .sidebar ul.cart_list li::before, .sidebar ul.product_list_widget li::before{';
			$custom_css .='background-color: '.esc_html($vw_magazine_first_color).'!important;';
		$custom_css .='}';
	}
	if($vw_magazine_first_color != false){
		$custom_css .='a, .logo h1 a, .address i, #top-bar .custom-social-icons a:hover i, .posts_box i, .metabox span i, .post-navigation a:hover .post-title, .post-navigation a:focus .post-title, .latest_posts_box i, .footer li a:hover, .footer .custom-social-icons i:hover, .entry-content a, .sidebar .textwidget p a, .textwidget p a, #comments p a, .slider .inner_carousel p a, .main-navigation ul.sub-menu a:hover, .main-navigation a:hover{';
			$custom_css .='color: '.esc_html($vw_magazine_first_color).';';
		$custom_css .='}';
	}
	if($vw_magazine_first_color != false){
		$custom_css .='#top-bar{
			background: rgba(0, 0, 0, 0)linear-gradient(56deg,'.esc_html($vw_magazine_first_color).' 34%, #11161d 16%) repeat scroll 0 0;
		}';
	}
	if($vw_magazine_first_color != false){
		$custom_css .='.post-main-box:hover{';
			$custom_css .='border-color: '.esc_html($vw_magazine_first_color).';';
		$custom_css .='}';
	}
	if($vw_magazine_first_color != false){
		$custom_css .='.main-navigation ul ul{';
			$custom_css .='border-top-color: '.esc_html($vw_magazine_first_color).';';
		$custom_css .='}';
	}
	if($vw_magazine_first_color != false){
		$custom_css .='.main-navigation ul ul, .header-fixed{';
			$custom_css .='border-bottom-color: '.esc_html($vw_magazine_first_color).';';
		$custom_css .='}';
	}
	
	/*---------------------------Width Layout -------------------*/

	$theme_lay = get_theme_mod( 'vw_magazine_width_option','Full Width');
    if($theme_lay == 'Boxed'){
		$custom_css .='body{';
			$custom_css .='max-width: 1140px; width: 100%; padding-right: 15px; padding-left: 15px; margin-right: auto; margin-left: auto;';
		$custom_css .='}';
	}else if($theme_lay == 'Wide Width'){
		$custom_css .='body{';
			$custom_css .='width: 100%;padding-right: 15px;padding-left: 15px;margin-right: auto;margin-left: auto;';
		$custom_css .='}';
	}else if($theme_lay == 'Full Width'){
		$custom_css .='body{';
			$custom_css .='max-width: 100%;';
		$custom_css .='}';
	}

	/*---------------------------Blog Layout -------------------*/

	$theme_lay = get_theme_mod( 'vw_magazine_blog_layout_option','Default');
    if($theme_lay == 'Default'){
		$custom_css .='.post-main-box{';
			$custom_css .='';
		$custom_css .='}';
		$custom_css .='.post-main-box h2{';
			$custom_css .='padding:0;';
		$custom_css .='}';
		$custom_css .='.new-text p{';
			$custom_css .='margin-top:10px;';
		$custom_css .='}';
		$custom_css .='.blogbutton-small{';
			$custom_css .='margin: 0; display: inline-block;';
		$custom_css .='}';
	}else if($theme_lay == 'Center'){
		$custom_css .='.post-main-box, .post-main-box h2, .new-text p, .metabox, .content-bttn{';
			$custom_css .='text-align:center;';
		$custom_css .='}';
		$custom_css .='.new-text p{';
			$custom_css .='margin-top:0;';
		$custom_css .='}';
		$custom_css .='.metabox{';
			$custom_css .='background: #eeeeee; padding: 10px; margin-bottom: 15px;';
		$custom_css .='}';
		$custom_css .='.blogbutton-small{';
			$custom_css .='margin: 0; display: inline-block;';
		$custom_css .='}';
	}else if($theme_lay == 'Left'){
		$custom_css .='.post-main-box, .post-main-box h2, .new-text p, .content-bttn{';
			$custom_css .='text-align:Left;';
		$custom_css .='}';
		$custom_css .='.metabox{';
			$custom_css .='background: #eeeeee; padding: 10px; margin-bottom: 15px;';
		$custom_css .='}';
	}

		/*------------------------------Responsive Media -----------------------*/

	$topbar = get_theme_mod( 'vw_magazine_resp_topbar_hide_show',true);
    if($topbar == true){
    	$custom_css .='@media screen and (max-width:575px) {';
		$custom_css .='#top-bar{';
			$custom_css .='display:block;';
		$custom_css .='} }';
	}else if($topbar == false){
		$custom_css .='@media screen and (max-width:575px) {';
		$custom_css .='#top-bar{';
			$custom_css .='display:none;';
		$custom_css .='} }';
	}

	$stickyheader = get_theme_mod( 'vw_magazine_stickyheader_hide_show',true);
    if($stickyheader == true){
    	$custom_css .='@media screen and (max-width:575px) {';
		$custom_css .='.header-fixed{';
			$custom_css .='display:block;';
		$custom_css .='} }';
	}else if($stickyheader == false){
		$custom_css .='@media screen and (max-width:575px) {';
		$custom_css .='.header-fixed{';
			$custom_css .='display:none;';
		$custom_css .='} }';
	}

	$metabox = get_theme_mod( 'vw_magazine_metabox_hide_show',true);
    if($metabox == true){
    	$custom_css .='@media screen and (max-width:575px) {';
		$custom_css .='.datebox, .metabox{';
			$custom_css .='display:block;';
		$custom_css .='} }';
	}else if($metabox == false){
		$custom_css .='@media screen and (max-width:575px) {';
		$custom_css .='.datebox, .metabox{';
			$custom_css .='display:none;';
		$custom_css .='} }';
	}

	$sidebar = get_theme_mod( 'vw_magazine_sidebar_hide_show',true);
    if($sidebar == true){
    	$custom_css .='@media screen and (max-width:575px) {';
		$custom_css .='.sidebar{';
			$custom_css .='display:block;';
		$custom_css .='} }';
	}else if($sidebar == false){
		$custom_css .='@media screen and (max-width:575px) {';
		$custom_css .='.sidebar{';
			$custom_css .='display:none;';
		$custom_css .='} }';
	}